depends = ('ITKPyBase', 'ITKSmoothing', 'ITKRegistrationCommon', 'ITKOptimizers', 'ITKImageNoise', 'ITKIOTIFF', 'ITKIORAW', 'ITKIOMeta', 'ITKIOGDCM', 'ITKFFT', 'ITKConvolution', 'ITKCommon', )
templates = (
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayi2', False, 'int, 2'),
  ('Vector', 'itk::Vector', 'itkVectori2', False, 'int, 2'),
  ('CovariantVector', 'itk::CovariantVector', 'itkCovariantVectorD1', False, 'double, 1'),
  ('Point', 'itk::Point', 'itkPointD1', False, 'double, 1'),
  ('vector', 'std::vector', 'vectoritkPointD1', False, 'itk::Point< double, 1  >'),
  ('Matrix', 'itk::Matrix', 'itkMatrixD11', False, 'double, 1, 1'),
  ('VariableLengthVector', 'itk::VariableLengthVector', 'itkVariableLengthVectorI', False, 'int'),
  ('ContinuousIndex', 'itk::ContinuousIndex', 'itkContinuousIndexD1', False, 'double, 1'),
  ('ImageBase', 'itk::ImageBase', 'itkImageBase1', False, '1'),
  ('Image', 'itk::Image', 'itkImageD1', False, 'double, 1'),
  ('Image', 'itk::Image', 'itkImageF1', False, 'float, 1'),
  ('Image', 'itk::Image', 'itkImageUC1', False, 'unsigned char, 1'),
  ('Image', 'itk::Image', 'itkImageF4', False, 'float, 4'),
  ('Image', 'itk::Image', 'itkImageVF34', False, 'itk::Vector< float,3 >, 4'),
  ('Image', 'itk::Image', 'itkImageCVF34', False, 'itk::CovariantVector< float,3 >, 4'),
  ('Image', 'itk::Image', 'itkImageUS4', False, 'unsigned short, 4'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceID1', False, 'itk::Image<double, 1>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceID2', False, 'itk::Image<double, 2>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceID3', False, 'itk::Image<double, 3>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIF1', False, 'itk::Image<float, 1>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIUC1', False, 'itk::Image<unsigned char, 1>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIF4', False, 'itk::Image<float, 4>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID1ID1', False, 'itk::Image<double, 1>, itk::Image<double, 1>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID3ID2', False, 'itk::Image<double, 3>, itk::Image<double, 2>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICVD33ICVD33', False, 'itk::Image<itk::CovariantVector<double, 3>, 3>, itk::Image<itk::CovariantVector<double, 3>, 3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3ID2', False, 'itk::Image<float, 3>, itk::Image<double, 2>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF1IF1', False, 'itk::Image<float, 1>, itk::Image<float, 1>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF4IF3', False, 'itk::Image<float, 4>, itk::Image<float, 3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF4IF4', False, 'itk::Image<float, 4>, itk::Image<float, 4>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIVF33', False, 'itk::Image<itk::Vector< float,3 >, 4>, itk::Image<itk::Vector< float,3 >, 3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2IF1', False, 'itk::Image<float, 2>, itk::Image<float, 1>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3VIF2', False, 'itk::Image<float, 3>, itk::VectorImage<float, 2>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIF2IF3', False, 'itk::VectorImage<float, 2>, itk::Image<float, 3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIF3IF4', False, 'itk::VectorImage<float, 3>, itk::Image<float, 4>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterID1ID1', False, 'itk::Image<double, 1>, itk::Image<double, 1>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterID3ID2', False, 'itk::Image<double, 3>, itk::Image<double, 2>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF1IF1', False, 'itk::Image<float, 1>, itk::Image<float, 1>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF3ID2', False, 'itk::Image<float, 3>, itk::Image<double, 2>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIF3VIF3', False, 'itk::VectorImage<float, 3>, itk::VectorImage<float, 3>'),
  ('ImageRegion', 'itk::ImageRegion', 'itkImageRegion1', False, '1'),
  ('vector', 'std::vector', 'vectoritkImageRegion1', False, 'itk::ImageRegion< 1  >'),
  ('WarpImageFilter', 'itk::WarpImageFilter', 'itkWarpImageFilterIF2IF2ICVF22', False, 'itk::Image<float, 2>, itk::Image<float, 2>, itk::Image< itk::CovariantVector<float, 2>, 2>'),
  ('WarpImageFilter', 'itk::WarpImageFilter', 'itkWarpImageFilterIF3IF3ICVF33', False, 'itk::Image<float, 3>, itk::Image<float, 3>, itk::Image< itk::CovariantVector<float, 3>, 3>'),
  ('ADMMWaveletsConeBeamReconstructionFilter', 'rtk::ADMMWaveletsConeBeamReconstructionFilter', 'rtkADMMWaveletsConeBeamReconstructionFilterIF3', False, 'itk::Image< float,3 >'),
  ('AmsterdamShroudImageFilter', 'rtk::AmsterdamShroudImageFilter', 'rtkAmsterdamShroudImageFilterIF3', False, 'itk::Image< float,3 >'),
  ('BackProjectionImageFilter', 'rtk::BackProjectionImageFilter', 'rtkBackProjectionImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('BoellaardScatterCorrectionImageFilter', 'rtk::BoellaardScatterCorrectionImageFilter', 'rtkBoellaardScatterCorrectionImageFilterIF3', False, 'itk::Image< float,3 >'),
  ('ConditionalMedianImageFilter', 'rtk::ConditionalMedianImageFilter', 'rtkConditionalMedianImageFilterIF2', False, 'itk::Image< float,2 >'),
  ('ConditionalMedianImageFilter', 'rtk::ConditionalMedianImageFilter', 'rtkConditionalMedianImageFilterIF3', False, 'itk::Image< float,3 >'),
  ('ConjugateGradientConeBeamReconstructionFilter', 'rtk::ConjugateGradientConeBeamReconstructionFilter', 'rtkConjugateGradientConeBeamReconstructionFilterIF3', False, 'itk::Image< float,3 >'),
  ('ConstantImageSource', 'rtk::ConstantImageSource', 'rtkConstantImageSourceIF2', False, 'itk::Image< float,2 >'),
  ('ConstantImageSource', 'rtk::ConstantImageSource', 'rtkConstantImageSourceIF3', False, 'itk::Image< float,3 >'),
  ('ConstantImageSource', 'rtk::ConstantImageSource', 'rtkConstantImageSourceIVF22', False, 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('ConstantImageSource', 'rtk::ConstantImageSource', 'rtkConstantImageSourceIVF23', False, 'itk::Image< itk::Vector< float,2 >,3 >'),
  ('ConstantImageSource', 'rtk::ConstantImageSource', 'rtkConstantImageSourceIVF32', False, 'itk::Image< itk::Vector< float,3 >,2 >'),
  ('ConstantImageSource', 'rtk::ConstantImageSource', 'rtkConstantImageSourceIVF33', False, 'itk::Image< itk::Vector< float,3 >,3 >'),
  ('ConstantImageSource', 'rtk::ConstantImageSource', 'rtkConstantImageSourceIVF42', False, 'itk::Image< itk::Vector< float,4 >,2 >'),
  ('ConstantImageSource', 'rtk::ConstantImageSource', 'rtkConstantImageSourceIVF43', False, 'itk::Image< itk::Vector< float,4 >,3 >'),
  ('ConvexShape', 'rtk::ConvexShape', 'rtkConvexShape', False),
  ('CyclicDeformationImageFilter', 'rtk::CyclicDeformationImageFilter', 'rtkCyclicDeformationImageFilterIF4IF3', False, 'itk::Image<float, 4>, itk::Image<float, 3>'),
  ('CyclicDeformationImageFilter', 'rtk::CyclicDeformationImageFilter', 'rtkCyclicDeformationImageFilterIVF34IVF33', False, 'itk::Image<itk::Vector< float,3 >, 4>, itk::Image<itk::Vector< float,3 >, 3>'),
  ('DeconstructSoftThresholdReconstructImageFilter', 'rtk::DeconstructSoftThresholdReconstructImageFilter', 'rtkDeconstructSoftThresholdReconstructImageFilterIF2', False, 'itk::Image< float,2 >'),
  ('DeconstructSoftThresholdReconstructImageFilter', 'rtk::DeconstructSoftThresholdReconstructImageFilter', 'rtkDeconstructSoftThresholdReconstructImageFilterIF3', False, 'itk::Image< float,3 >'),
  ('DenoisingBPDQImageFilter', 'rtk::DenoisingBPDQImageFilter', 'rtkDenoisingBPDQImageFilterIF2ICVF22', False, 'itk::Image<float, 2>, itk::Image< itk::CovariantVector<float, 2>, 2>'),
  ('DenoisingBPDQImageFilter', 'rtk::DenoisingBPDQImageFilter', 'rtkDenoisingBPDQImageFilterIF3ICVF33', False, 'itk::Image<float, 3>, itk::Image< itk::CovariantVector<float, 3>, 3>'),
  ('DisplacedDetectorForOffsetFieldOfViewImageFilter', 'rtk::DisplacedDetectorForOffsetFieldOfViewImageFilter', 'rtkDisplacedDetectorForOffsetFieldOfViewImageFilterIF3', False, 'itk::Image< float,3 >'),
  ('DisplacedDetectorImageFilter', 'rtk::DisplacedDetectorImageFilter', 'rtkDisplacedDetectorImageFilterIF3', False, 'itk::Image< float,3 >'),
  ('DrawConvexImageFilter', 'rtk::DrawConvexImageFilter', 'rtkDrawConvexImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('DrawEllipsoidImageFilter', 'rtk::DrawEllipsoidImageFilter', 'rtkDrawEllipsoidImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('DrawGeometricPhantomImageFilter', 'rtk::DrawGeometricPhantomImageFilter', 'rtkDrawGeometricPhantomImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('DrawSheppLoganFilter', 'rtk::DrawSheppLoganFilter', 'rtkDrawSheppLoganFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('EdfRawToAttenuationImageFilter', 'rtk::EdfRawToAttenuationImageFilter', 'rtkEdfRawToAttenuationImageFilterIF2IF2', False, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('EdfRawToAttenuationImageFilter', 'rtk::EdfRawToAttenuationImageFilter', 'rtkEdfRawToAttenuationImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ExtractPhaseImageFilter', 'rtk::ExtractPhaseImageFilter', 'rtkExtractPhaseImageFilterIF1', False, 'itk::Image<float, 1>'),
  ('ExtractPhaseImageFilter', 'rtk::ExtractPhaseImageFilter', 'rtkExtractPhaseImageFilterID1', False, 'itk::Image<double, 1>'),
  ('FDKBackProjectionImageFilter', 'rtk::FDKBackProjectionImageFilter', 'rtkFDKBackProjectionImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('FDKConeBeamReconstructionFilter', 'rtk::FDKConeBeamReconstructionFilter', 'rtkFDKConeBeamReconstructionFilterIF3', False, 'itk::Image<float, 3>'),
  ('FDKWarpBackProjectionImageFilter', 'rtk::FDKWarpBackProjectionImageFilter', 'rtkFDKWarpBackProjectionImageFilterIF3IF3CDFIF4IF3', False, 'itk::Image<float, 3>, itk::Image<float, 3>, rtk::CyclicDeformationImageFilter< itk::Image<float, 4>, itk::Image<float, 3> >'),
  ('FDKWarpBackProjectionImageFilter', 'rtk::FDKWarpBackProjectionImageFilter', 'rtkFDKWarpBackProjectionImageFilterIF3IF3CDFIVF34IVF33', False, 'itk::Image<float, 3>, itk::Image<float, 3>, rtk::CyclicDeformationImageFilter< itk::Image<itk::Vector< float,3 >, 4>, itk::Image<itk::Vector< float,3 >, 3> >'),
  ('FDKWeightProjectionFilter', 'rtk::FDKWeightProjectionFilter', 'rtkFDKWeightProjectionFilterIF2', False, 'itk::Image< float,2 >'),
  ('FDKWeightProjectionFilter', 'rtk::FDKWeightProjectionFilter', 'rtkFDKWeightProjectionFilterIF3', False, 'itk::Image< float,3 >'),
  ('FFTProjectionsConvolutionImageFilter', 'rtk::FFTProjectionsConvolutionImageFilter', 'rtkFFTProjectionsConvolutionImageFilterIF3IF3D', False, 'itk::Image<float, 3>, itk::Image<float, 3>, double'),
  ('FFTProjectionsConvolutionImageFilter', 'rtk::FFTProjectionsConvolutionImageFilter', 'rtkFFTProjectionsConvolutionImageFilterIF3IF3F', False, 'itk::Image<float, 3>, itk::Image<float, 3>, float'),
  ('FFTRampImageFilter', 'rtk::FFTRampImageFilter', 'rtkFFTRampImageFilterIF3IF3D', False, 'itk::Image<float, 3>, itk::Image<float, 3>, double'),
  ('FieldOfViewImageFilter', 'rtk::FieldOfViewImageFilter', 'rtkFieldOfViewImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ForwardProjectionImageFilter', 'rtk::ForwardProjectionImageFilter', 'rtkForwardProjectionImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ForwardWarpImageFilter', 'rtk::ForwardWarpImageFilter', 'rtkForwardWarpImageFilterIF2IF2ICVF22', False, 'itk::Image<float, 2>, itk::Image<float, 2>, itk::Image< itk::CovariantVector<float, 2>, 2>'),
  ('ForwardWarpImageFilter', 'rtk::ForwardWarpImageFilter', 'rtkForwardWarpImageFilterIF3IF3ICVF33', False, 'itk::Image<float, 3>, itk::Image<float, 3>, itk::Image< itk::CovariantVector<float, 3>, 3>'),
  ('FourDConjugateGradientConeBeamReconstructionFilter', 'rtk::FourDConjugateGradientConeBeamReconstructionFilter', 'rtkFourDConjugateGradientConeBeamReconstructionFilterIF4IF3', False, 'itk::Image<float, 4>, itk::Image<float, 3>'),
  ('FourDSARTConeBeamReconstructionFilter', 'rtk::FourDSARTConeBeamReconstructionFilter', 'rtkFourDSARTConeBeamReconstructionFilterIF4IF3', False, 'itk::Image<float, 4>, itk::Image<float, 3>'),
  ('FourDToProjectionStackImageFilter', 'rtk::FourDToProjectionStackImageFilter', 'rtkFourDToProjectionStackImageFilterIF3IF4', False, 'itk::Image<float, 3>, itk::Image<float, 4>'),
  ('GeometricPhantom', 'rtk::GeometricPhantom', 'rtkGeometricPhantom', False),
  ('GeometricPhantomFileReader', 'rtk::GeometricPhantomFileReader', 'rtkGeometricPhantomFileReader', False),
  ('I0EstimationProjectionFilter', 'rtk::I0EstimationProjectionFilter', 'rtkI0EstimationProjectionFilterIUS3IUS32', False, 'itk::Image<unsigned short, 3>, itk::Image<unsigned short, 3>, 2'),
  ('ImageToVectorImageFilter', 'rtk::ImageToVectorImageFilter', 'rtkImageToVectorImageFilterIF2VIF2', False, 'itk::Image<float, 2>, itk::VectorImage<float, 2>'),
  ('ImageToVectorImageFilter', 'rtk::ImageToVectorImageFilter', 'rtkImageToVectorImageFilterIF3VIF2', False, 'itk::Image<float, 3>, itk::VectorImage<float, 2>'),
  ('IterativeConeBeamReconstructionFilter', 'rtk::IterativeConeBeamReconstructionFilter', 'rtkIterativeConeBeamReconstructionFilterIF3', False, 'itk::Image< float,3 >'),
  ('IterativeConeBeamReconstructionFilter', 'rtk::IterativeConeBeamReconstructionFilter', 'rtkIterativeConeBeamReconstructionFilterIF4IF3', False, 'itk::Image<float, 4>, itk::Image<float, 3>'),
  ('IterativeConeBeamReconstructionFilter', 'rtk::IterativeConeBeamReconstructionFilter', 'rtkIterativeConeBeamReconstructionFilterIVVF33IVVF33', False, 'itk::Image<itk::Vector<float, 3>, 3>, itk::Image<itk::Vector<float, 3>, 3>'),
  ('IterativeFDKConeBeamReconstructionFilter', 'rtk::IterativeFDKConeBeamReconstructionFilter', 'rtkIterativeFDKConeBeamReconstructionFilterIF3IF3D', False, 'itk::Image<float, 3>, itk::Image<float, 3>, double'),
  ('SplatWeightMultiplication', 'rtk::Functor::SplatWeightMultiplication', 'rtkFunctorSplatWeightMultiplicationFDF', False, 'float, double, float'),
  ('JosephBackProjectionImageFilter', 'rtk::JosephBackProjectionImageFilter', 'rtkJosephBackProjectionImageFilterIF3IF3SWMFDF', False, 'itk::Image<float, 3>, itk::Image< float, 3>'),
  ('JosephForwardProjectionImageFilter', 'rtk::JosephForwardProjectionImageFilter', 'rtkJosephForwardProjectionImageFilterIF3IF3', False, 'itk::Image<float, 3>, itk::Image<float, 3>'),
  ('LUTbasedVariableI0RawToAttenuationImageFilter', 'rtk::LUTbasedVariableI0RawToAttenuationImageFilter', 'rtkLUTbasedVariableI0RawToAttenuationImageFilterIUS2IF2', False, 'itk::Image<unsigned short, 2>, itk::Image<float, 2>'),
  ('LUTbasedVariableI0RawToAttenuationImageFilter', 'rtk::LUTbasedVariableI0RawToAttenuationImageFilter', 'rtkLUTbasedVariableI0RawToAttenuationImageFilterIUS3IF3', False, 'itk::Image<unsigned short, 3>, itk::Image<float, 3>'),
  ('LagCorrectionImageFilter', 'rtk::LagCorrectionImageFilter', 'rtkLagCorrectionImageFilterIF31', False, 'itk::Image<float, 3>, 1'),
  ('LagCorrectionImageFilter', 'rtk::LagCorrectionImageFilter', 'rtkLagCorrectionImageFilterIF32', False, 'itk::Image<float, 3>, 2'),
  ('LagCorrectionImageFilter', 'rtk::LagCorrectionImageFilter', 'rtkLagCorrectionImageFilterIF33', False, 'itk::Image<float, 3>, 3'),
  ('LagCorrectionImageFilter', 'rtk::LagCorrectionImageFilter', 'rtkLagCorrectionImageFilterIF34', False, 'itk::Image<float, 3>, 4'),
  ('LastDimensionL0GradientDenoisingImageFilter', 'rtk::LastDimensionL0GradientDenoisingImageFilter', 'rtkLastDimensionL0GradientDenoisingImageFilterIF3', False, 'itk::Image< float,3 >'),
  ('LUT', 'rtk::Functor::LUT', 'rtkFunctorLUTSSF', False, 'signed short, float'),
  ('LUT', 'rtk::Functor::LUT', 'rtkFunctorLUTUCF', False, 'unsigned char, float'),
  ('LUT', 'rtk::Functor::LUT', 'rtkFunctorLUTUSF', False, 'unsigned short, float'),
  ('UnaryFunctorImageFilter', 'itk::UnaryFunctorImageFilter', 'itkUnaryFunctorImageFilterISS2IF2LUTSSF', False, 'itk::Image<signed short, 2>, itk::Image<float, 2>, rtk::Functor::LUT< signed short, float >'),
  ('UnaryFunctorImageFilter', 'itk::UnaryFunctorImageFilter', 'itkUnaryFunctorImageFilterISS3IF3LUTSSF', False, 'itk::Image<signed short, 3>, itk::Image<float, 3>, rtk::Functor::LUT< signed short, float >'),
  ('UnaryFunctorImageFilter', 'itk::UnaryFunctorImageFilter', 'itkUnaryFunctorImageFilterIUC2IF2LUTUCF', False, 'itk::Image<unsigned char, 2>, itk::Image<float, 2>, rtk::Functor::LUT< unsigned char, float >'),
  ('UnaryFunctorImageFilter', 'itk::UnaryFunctorImageFilter', 'itkUnaryFunctorImageFilterIUC3IF3LUTUCF', False, 'itk::Image<unsigned char, 3>, itk::Image<float, 3>, rtk::Functor::LUT< unsigned char, float >'),
  ('UnaryFunctorImageFilter', 'itk::UnaryFunctorImageFilter', 'itkUnaryFunctorImageFilterIUS2IF2LUTUSF', False, 'itk::Image<unsigned short, 2>, itk::Image<float, 2>, rtk::Functor::LUT< unsigned short, float >'),
  ('UnaryFunctorImageFilter', 'itk::UnaryFunctorImageFilter', 'itkUnaryFunctorImageFilterIUS3IF3LUTUSF', False, 'itk::Image<unsigned short, 3>, itk::Image<float, 3>, rtk::Functor::LUT< unsigned short, float >'),
  ('LookupTableImageFilter', 'rtk::LookupTableImageFilter', 'rtkLookupTableImageFilterISS2IF2', False, 'itk::Image< signed short,2 >, itk::Image< float,2 >'),
  ('LookupTableImageFilter', 'rtk::LookupTableImageFilter', 'rtkLookupTableImageFilterISS3IF3', False, 'itk::Image< signed short,3 >, itk::Image< float,3 >'),
  ('LookupTableImageFilter', 'rtk::LookupTableImageFilter', 'rtkLookupTableImageFilterIUC2IF2', False, 'itk::Image< unsigned char,2 >, itk::Image< float,2 >'),
  ('LookupTableImageFilter', 'rtk::LookupTableImageFilter', 'rtkLookupTableImageFilterIUC3IF3', False, 'itk::Image< unsigned char,3 >, itk::Image< float,3 >'),
  ('LookupTableImageFilter', 'rtk::LookupTableImageFilter', 'rtkLookupTableImageFilterIUS2IF2', False, 'itk::Image< unsigned short,2 >, itk::Image< float,2 >'),
  ('LookupTableImageFilter', 'rtk::LookupTableImageFilter', 'rtkLookupTableImageFilterIUS3IF3', False, 'itk::Image< unsigned short,3 >, itk::Image< float,3 >'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterIVF33IVF23IF3', False, 'itk::Image<itk::Vector<float,3>,3>, itk::Image<itk::Vector<float,2>,3>, itk::Image<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterIVF33IVF33IF3', False, 'itk::Image<itk::Vector<float,3>,3>, itk::Image<itk::Vector<float,3>,3>, itk::Image<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterIVF33IVF43IF3', False, 'itk::Image<itk::Vector<float,3>,3>, itk::Image<itk::Vector<float,4>,3>, itk::Image<float,3>'),
  ('MotionCompensatedFourDConjugateGradientConeBeamReconstructionFilter', 'rtk::MotionCompensatedFourDConjugateGradientConeBeamReconstructionFilter', 'rtkMotionCompensatedFourDConjugateGradientConeBeamReconstructionFilterIF4IF3', False, 'itk::Image<float, 4>, itk::Image<float, 3>'),
  ('OSEMConeBeamReconstructionFilter', 'rtk::OSEMConeBeamReconstructionFilter', 'rtkOSEMConeBeamReconstructionFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ParkerShortScanImageFilter', 'rtk::ParkerShortScanImageFilter', 'rtkParkerShortScanImageFilterIF2', False, 'itk::Image< float,2 >'),
  ('ParkerShortScanImageFilter', 'rtk::ParkerShortScanImageFilter', 'rtkParkerShortScanImageFilterIF3', False, 'itk::Image< float,3 >'),
  ('PhaseGatingImageFilter', 'rtk::PhaseGatingImageFilter', 'rtkPhaseGatingImageFilterIF3', False, 'itk::Image< float,3 >'),
  ('PolynomialGainCorrectionImageFilter', 'rtk::PolynomialGainCorrectionImageFilter', 'rtkPolynomialGainCorrectionImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ProjectGeometricPhantomImageFilter', 'rtk::ProjectGeometricPhantomImageFilter', 'rtkProjectGeometricPhantomImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ProjectionGeometry', 'rtk::ProjectionGeometry', 'rtkProjectionGeometry3', False, '3'),
  ('ProjectionStackToFourDImageFilter', 'rtk::ProjectionStackToFourDImageFilter', 'rtkProjectionStackToFourDImageFilterIF4IF3D', False, 'itk::Image<float, 4>, itk::Image<float, 3>, double'),
  ('ProjectionsReader', 'rtk::ProjectionsReader', 'rtkProjectionsReaderIUC2', False, 'itk::Image< unsigned char,2 >'),
  ('ProjectionsReader', 'rtk::ProjectionsReader', 'rtkProjectionsReaderIUC3', False, 'itk::Image< unsigned char,3 >'),
  ('ProjectionsReader', 'rtk::ProjectionsReader', 'rtkProjectionsReaderIF2', False, 'itk::Image< float,2 >'),
  ('ProjectionsReader', 'rtk::ProjectionsReader', 'rtkProjectionsReaderIF3', False, 'itk::Image< float,3 >'),
  ('RayBoxIntersectionImageFilter', 'rtk::RayBoxIntersectionImageFilter', 'rtkRayBoxIntersectionImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('RayConvexIntersectionImageFilter', 'rtk::RayConvexIntersectionImageFilter', 'rtkRayConvexIntersectionImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('RayEllipsoidIntersectionImageFilter', 'rtk::RayEllipsoidIntersectionImageFilter', 'rtkRayEllipsoidIntersectionImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('RayQuadricIntersectionImageFilter', 'rtk::RayQuadricIntersectionImageFilter', 'rtkRayQuadricIntersectionImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ReorderProjectionsImageFilter', 'rtk::ReorderProjectionsImageFilter', 'rtkReorderProjectionsImageFilterIRGBUC3IRGBUC3', False, 'itk::Image< itk::RGBPixel< unsigned char >,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('ReorderProjectionsImageFilter', 'rtk::ReorderProjectionsImageFilter', 'rtkReorderProjectionsImageFilterIVF23IVF23', False, 'itk::Image< itk::Vector< float,2 >,3 >, itk::Image< itk::Vector< float,2 >,3 >'),
  ('ReorderProjectionsImageFilter', 'rtk::ReorderProjectionsImageFilter', 'rtkReorderProjectionsImageFilterIVF33IVF33', False, 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('ReorderProjectionsImageFilter', 'rtk::ReorderProjectionsImageFilter', 'rtkReorderProjectionsImageFilterIVF43IVF43', False, 'itk::Image< itk::Vector< float,4 >,3 >, itk::Image< itk::Vector< float,4 >,3 >'),
  ('ReorderProjectionsImageFilter', 'rtk::ReorderProjectionsImageFilter', 'rtkReorderProjectionsImageFilterICVF23ICVF23', False, 'itk::Image< itk::CovariantVector< float,2 >,3 >, itk::Image< itk::CovariantVector< float,2 >,3 >'),
  ('ReorderProjectionsImageFilter', 'rtk::ReorderProjectionsImageFilter', 'rtkReorderProjectionsImageFilterICVF33ICVF33', False, 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('ReorderProjectionsImageFilter', 'rtk::ReorderProjectionsImageFilter', 'rtkReorderProjectionsImageFilterICVF43ICVF43', False, 'itk::Image< itk::CovariantVector< float,4 >,3 >, itk::Image< itk::CovariantVector< float,4 >,3 >'),
  ('ReorderProjectionsImageFilter', 'rtk::ReorderProjectionsImageFilter', 'rtkReorderProjectionsImageFilterISS3ISS3', False, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('ReorderProjectionsImageFilter', 'rtk::ReorderProjectionsImageFilter', 'rtkReorderProjectionsImageFilterIUC3IUC3', False, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ReorderProjectionsImageFilter', 'rtk::ReorderProjectionsImageFilter', 'rtkReorderProjectionsImageFilterIUS3IUS3', False, 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('ReorderProjectionsImageFilter', 'rtk::ReorderProjectionsImageFilter', 'rtkReorderProjectionsImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ReorderProjectionsImageFilter', 'rtk::ReorderProjectionsImageFilter', 'rtkReorderProjectionsImageFilterICF3ICF3', False, 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >'),
  ('SARTConeBeamReconstructionFilter', 'rtk::SARTConeBeamReconstructionFilter', 'rtkSARTConeBeamReconstructionFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ScatterGlareCorrectionImageFilter', 'rtk::ScatterGlareCorrectionImageFilter', 'rtkScatterGlareCorrectionImageFilterIF3IF3F', False, 'itk::Image<float, 3>, itk::Image<float, 3>, float'),
  ('SelectOneProjectionPerCycleImageFilter', 'rtk::SelectOneProjectionPerCycleImageFilter', 'rtkSelectOneProjectionPerCycleImageFilterIF3', False, 'itk::Image< float,3 >'),
  ('SheppLoganPhantomFilter', 'rtk::SheppLoganPhantomFilter', 'rtkSheppLoganPhantomFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SimplexSpectralProjectionsDecompositionImageFilter', 'rtk::SimplexSpectralProjectionsDecompositionImageFilter', 'rtkSimplexSpectralProjectionsDecompositionImageFilterVIF3VIF3VIF2IF2IF2', False, 'itk::VectorImage<float, 3>, itk::VectorImage<float, 3>, itk::VectorImage<float, 2>, itk::Image<float, 2>, itk::Image<float, 2>'),
  ('SoftThreshold', 'rtk::Functor::SoftThreshold', 'rtkFunctorSoftThresholdFF', False, 'float, float'),
  ('UnaryFunctorImageFilter', 'itk::UnaryFunctorImageFilter', 'itkUnaryFunctorImageFilterIF3IF3STFF', False, 'itk::Image<float, 3>, itk::Image<float, 3>, rtk::Functor::SoftThreshold<float, float>'),
  ('SoftThresholdImageFilter', 'rtk::SoftThresholdImageFilter', 'rtkSoftThresholdImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SpectralForwardModelImageFilter', 'rtk::SpectralForwardModelImageFilter', 'rtkSpectralForwardModelImageFilterVIF3VIF3VIF2IF2IF2', False, 'itk::VectorImage<float, 3>, itk::VectorImage<float, 3>, itk::VectorImage<float, 2>, itk::Image<float, 2>, itk::Image<float, 2>'),
  ('SubSelectFromListImageFilter', 'rtk::SubSelectFromListImageFilter', 'rtkSubSelectFromListImageFilterIF3', False, 'itk::Image< float,3 >'),
  ('SubSelectImageFilter', 'rtk::SubSelectImageFilter', 'rtkSubSelectImageFilterIF3', False, 'itk::Image< float,3 >'),
  ('ThreeDCircularProjectionGeometry', 'rtk::ThreeDCircularProjectionGeometry', 'rtkThreeDCircularProjectionGeometry', False),
  ('XMLReader', 'itk::XMLReader', 'itkXMLReader3DCPG', False, 'rtk::ThreeDCircularProjectionGeometry'),
  ('XMLReaderBase', 'itk::XMLReaderBase', 'itkXMLFile', False),
  ('ThreeDCircularProjectionGeometryXMLFileReader', 'rtk::ThreeDCircularProjectionGeometryXMLFileReader', 'rtkThreeDCircularProjectionGeometryXMLFileReader', False),
  ('XMLWriterBase', 'itk::XMLWriterBase', 'itkXMLWriterBase3DCPG', False, 'rtk::ThreeDCircularProjectionGeometry'),
  ('ThreeDCircularProjectionGeometryXMLFileWriter', 'rtk::ThreeDCircularProjectionGeometryXMLFileWriter', 'rtkThreeDCircularProjectionGeometryXMLFileWriter', False),
  ('TotalVariationImageFilter', 'rtk::TotalVariationImageFilter', 'rtkTotalVariationImageFilterIF2', False, 'itk::Image< float,2 >'),
  ('TotalVariationImageFilter', 'rtk::TotalVariationImageFilter', 'rtkTotalVariationImageFilterIF3', False, 'itk::Image< float,3 >'),
  ('VectorImageToImageFilter', 'rtk::VectorImageToImageFilter', 'rtkVectorImageToImageFilterVIF2IF2', False, 'itk::VectorImage<float, 2>, itk::Image<float, 2>'),
  ('VectorImageToImageFilter', 'rtk::VectorImageToImageFilter', 'rtkVectorImageToImageFilterVIF2IF3', False, 'itk::VectorImage<float, 2>, itk::Image<float, 3>'),
  ('VectorImageToImageFilter', 'rtk::VectorImageToImageFilter', 'rtkVectorImageToImageFilterVIF3IF3', False, 'itk::VectorImage<float, 3>, itk::Image<float, 3>'),
  ('VectorImageToImageFilter', 'rtk::VectorImageToImageFilter', 'rtkVectorImageToImageFilterVIF3IF4', False, 'itk::VectorImage<float, 3>, itk::Image<float, 4>'),
  ('WaterPrecorrectionImageFilter', 'rtk::WaterPrecorrectionImageFilter', 'rtkWaterPrecorrectionImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('XRadRawToAttenuationImageFilter', 'rtk::XRadRawToAttenuationImageFilter', 'rtkXRadRawToAttenuationImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
)
snake_case_functions = ('four_d_conjugate_gradient_cone_beam_reconstruction_filter', 'draw_geometric_phantom_image_filter', 'joseph_back_projection_image_filter', 'draw_convex_image_filter', 'forward_projection_image_filter', 'osem_cone_beam_reconstruction_filter', 'edf_raw_to_attenuation_image_filter', 'sub_select_image_filter', 'forward_warp_image_filter', 'conjugate_gradient_cone_beam_reconstruction_filter', 'denoising_bpdq_image_filter', 'sart_cone_beam_reconstruction_filter', 'sub_select_from_list_image_filter', 'displaced_detector_image_filter', 'scatter_glare_correction_image_filter', 'x_rad_raw_to_attenuation_image_filter', 'image_source', 'joseph_forward_projection_image_filter', 'i0_estimation_projection_filter', 'spectral_forward_model_image_filter', 'deconstruct_soft_threshold_reconstruct_image_filter', 'cyclic_deformation_image_filter', 'parker_short_scan_image_filter', 'phase_gating_image_filter', 'ray_box_intersection_image_filter', 'unary_functor_image_filter', 'iterative_fdk_cone_beam_reconstruction_filter', 'mechlem_one_step_spectral_reconstruction_filter', 'reorder_projections_image_filter', 'fft_projections_convolution_image_filter', 'soft_threshold_image_filter', 'water_precorrection_image_filter', 'lag_correction_image_filter', 'total_variation_image_filter', 'iterative_cone_beam_reconstruction_filter', 'select_one_projection_per_cycle_image_filter', 'shepp_logan_phantom_filter', 'fdk_cone_beam_reconstruction_filter', 'conditional_median_image_filter', 'admm_wavelets_cone_beam_reconstruction_filter', 'projection_stack_to_four_d_image_filter', 'back_projection_image_filter', 'four_dsart_cone_beam_reconstruction_filter', 'projections_reader', 'ray_convex_intersection_image_filter', 'field_of_view_image_filter', 'last_dimension_l0_gradient_denoising_image_filter', 'displaced_detector_for_offset_field_of_view_image_filter', 'amsterdam_shroud_image_filter', 'in_place_image_filter', 'draw_ellipsoid_image_filter', 'draw_shepp_logan_filter', 'extract_phase_image_filter', 'project_geometric_phantom_image_filter', 'ray_ellipsoid_intersection_image_filter', 'image_to_image_filter', 'polynomial_gain_correction_image_filter', 'boellaard_scatter_correction_image_filter', 'constant_image_source', 'fdk_warp_back_projection_image_filter', 'fft_ramp_image_filter', 'four_d_to_projection_stack_image_filter', 'lookup_table_image_filter', 'fdk_weight_projection_filter', 'ray_quadric_intersection_image_filter', 'simplex_spectral_projections_decomposition_image_filter', 'lu_tbased_variable_i0_raw_to_attenuation_image_filter', 'warp_image_filter', 'vector_image_to_image_filter', 'motion_compensated_four_d_conjugate_gradient_cone_beam_reconstruction_filter', 'fdk_back_projection_image_filter', 'image_to_vector_image_filter', )
